WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Upgrade to 2.7x failed – locked out of DB

[Resolved] Upgrade to 2.7x failed – locked out of DB

  • I just attempted to upgrade to 2.7 from 2.33 and received the following message when running upgrade.php:
    “Fatal error: Call to undefined function: hash_hmac() in /hsphere/local/home/jgbennet/villagemontessorichildrenshouse.com/blog/wp-includes/pluggable.php on line 1310”

    I then went to my database and found that I did not have any privledges with the user that I have been using for some time. Something seems to have locked the DB and caused a failure. I may be able to roll the DB back, but I will need to request that from the ISP, so I would like to find a simplier solution. I tried to reinstall a backup of the previous WP install, but still get the message from above, so I am guessing that this is a DB issues.

    Any help would be appreciated. Thanks, Jim

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Upgrade to 2.7x failed – locked out of DB’ is closed to new replies.